
#include "window.hh"
#include <libglademm.h>

Window::Window()
{
	set_title( "Example" ) ;
	set_default_size( 640, 480 ) ;

	Glib::RefPtr< Gnome::Glade::Xml > xmlref = Gnome::Glade::Xml::create( "temp.glade", "notebook" ) ;

	Gtk::Notebook* notebook ;
	xmlref->get_widget( "notebook", notebook ) ;
	add( *notebook ) ;

	Gtk::DrawingArea* drawing_area ;
	xmlref->get_widget( "drawing_area", drawing_area ) ;

	drawing_area->add_events( Gdk::POINTER_MOTION_MASK | Gdk::BUTTON_PRESS_MASK ) ;
	drawing_area->signal_motion_notify_event().connect( sigc::mem_fun( *this, &Window::on_motion_notify_event ) ) ;

	xmlref->get_widget( "hruler", hruler ) ;
	xmlref->get_widget( "vruler", vruler ) ;

	hruler->set_range( 0, 640, 0, 640 ) ;
	vruler->set_range( 0, 480, 0, 480 ) ;

	show_all_children() ;
}

bool
Window::on_motion_notify_event( GdkEventMotion* event )
{

	hruler->property_position().set_value( event->x ) ;
	vruler->property_position().set_value( event->y ) ;

	return false ;
}


